Author Topic: Fillet command lisp error  (Read 3033 times)

0 Members and 1 Guest are viewing this topic.

Shade

  • Guest
Fillet command lisp error
« on: November 17, 2009, 01:13:03 PM »
Recently my firm has updated to AutoDesk Architecture 2010.
With that upgrade I cannot longer get the following lisp/code to work.

Code: [Select]
(defun c:F  () (command "_.fillet" "r" "0" pause))
The problem seems to occur with the radius option, and AutoCAD just returns nil on operation.
The code does work with AutoCAD 2010 though, which is the funny thing.

Any help would be appreciated.

Thanks
Shade  :mrgreen:

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Fillet command lisp error
« Reply #1 on: November 17, 2009, 02:05:57 PM »
Use this:

Code: [Select]
(defun c:F  () (setvar "FILLETRAD" 0)(command "_.fillet"))
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.

Shade

  • Guest
Re: Fillet command lisp error
« Reply #2 on: November 17, 2009, 02:11:35 PM »
It worked!  Thanks CAB, appreciate the help.  :-)

CAB

  • Global Moderator
  • Seagull
  • Posts: 10401
Re: Fillet command lisp error
« Reply #3 on: November 17, 2009, 03:41:37 PM »
You're welcome. 8-)
I've reached the age where the happy hour is a nap. (°¿°)
Windows 10 core i7 4790k 4Ghz 32GB GTX 970
Please support this web site.